# Interface RevertReturndataAllocation

#### Hierarchy

- RevertReturndataAllocation

- Defined in codec/lib/abi-data/allocate/types.ts:172

#####
Index

### Properties

abi
allocationMode
arguments
definedIn?
id?
kind
selector

## Properties

### abi

abi: ErrorEntry

- Defined in codec/lib/abi-data/allocate/types.ts:175

### allocationMode

allocationMode: DecodingMode

- Defined in codec/lib/abi-data/allocate/types.ts:181

### arguments

arguments: ReturndataArgumentAllocation[]

- Defined in codec/lib/abi-data/allocate/types.ts:180

### `Optional` definedIn

definedIn?: ContractType

- Defined in codec/lib/abi-data/allocate/types.ts:177

### `Optional` id

id?: string

- Defined in codec/lib/abi-data/allocate/types.ts:176

### kind

kind: "revert"

- Defined in codec/lib/abi-data/allocate/types.ts:173

### selector

selector: Uint8Array

- Defined in codec/lib/abi-data/allocate/types.ts:174

Generated using TypeDoc